# NOTE: There is no check script because:
# (1) The tests try to access the Atlas over the Internet, which fails on the
#     koji builders; and
# (2) The tests want the data directories to be writable so that updates to
#     this package can be installed.  But we want to use RPM to manage updates,
#     so unwritable data directories are correct.
#
# The maintainer should manually run the tests before each update.

%global upstreamver 1r5p0
%global pkgname atlasrep

Name:           gap-pkg-%{pkgname}
Version:        %(sed -r "s/r|p/./g" <<< %upstreamver)
Release:        2%{?dist}
Summary:        GAP interface to the Atlas of Group Representations

License:        GPLv3+
URL:            http://www.math.rwth-aachen.de/~Thomas.Breuer/%{pkgname}/
Source0:        http://www.math.rwth-aachen.de/~Thomas.Breuer/%{pkgname}/%{pkgname}%{upstreamver}.tar.gz
Source1:        http://www.math.rwth-aachen.de/~Thomas.Breuer/%{pkgname}/%{pkgname}data.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel

Requires:       gap-pkg-io
Requires(post): gap-core
Requires(postun): gap-core

Recommends:     gap-pkg-browse
Recommends:     gap-pkg-ctbllib
Recommends:     gap-pkg-tomlib

%description
The aim of the AtlasRep package is to provide an interface between GAP
and the Atlas of Group Representations, a database that comprises
representations of many almost simple groups and information about their
maximal subgroups.  This database is available independent of GAP.

The AtlasRep package consists of this database and a GAP interface.  The
latter allows the user to get an overview of the database, and to access
the data in GAP format.

%prep
%setup -q -n %{pkgname}
%setup -q -T -D -b 1 -n %{pkgname}

# Remove files we don't need to package
rm -fr datagens/dummy dataword/{dummy,CVS,.cvsignore}

%build
# Nothing to do

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname} %{buildroot}%{_gap_dir}/pkg
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/README

%post -p %{_bindir}/update-gap-workspace

%postun -p %{_bindir}/update-gap-workspace

%files
%doc README
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Fri Jan 23 2015 Jerry James <loganjerry@gmail.com> - 1.5.0-2
- Add Requires(post) and Requires(postun)
- Mark documentation as such

* Fri Jan 16 2015 Jerry James <loganjerry@gmail.com> - 1.5.0-1
- Initial RPM
